Subject: Re: bug#9670: Bad interaction between defining-kbd-macro and desktop

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 19 Aug 2019 19:32:43 -0700

Antoine Levitt <[email-masked]> writes:

> C-x (
> M-x desktop-save
>
> will result in the desktop file being unusable unless defining-kbd-macro
> is removed manually.

(I'm going through old bug reports that have unfortunately gotten no
attention yet.)

I tried reproducing this in Emacs 27, but was unable to.

If I follow your recipe (from "emacs -Q") my .emacs.desktop file does
not contain anything referring to "defining-kbd-macro".

Do you still see this in a modern Emacs, or has it been fixed in the
intervening years?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no